Cyberduck Mountain Duck CLI

#6176 closed defect (thirdparty)

Failure enabling UTF8 for RaidenFTPd

Reported by: Yoshitaka Konishi Owned by:
Priority: normal Milestone:
Component: ftp Version: 4.1
Severity: normal Keywords: UTF8
Cc: Architecture: Intel
Platform: Windows XP

Description

RaidenFTPd requires CLNT command before OPTS UTF8 ON command.

220 Please enter your login name now.
AUTH TLS
234 AUTH Command OK. Initializing SSL connection.
USER ********
331 Password required for ********
PASS ********
230 User ******** logged in.
PBSZ 0
200 PBSZ Command OK. Protection buffer size set to 0.
PROT P
200 PROT P accepted.
FEAT
211-Extensions supported:
 SIZE
 MDTM
 MDTM YYYYMMDDHHMMSS filename
 LIST -laT
 STAT -laT
 MLST type*;lang*;size*;modify*;create*;UNIX.mode*;UNIX.owner*;UNIX.group*;WIN32.ea*
 MLSD
 REST STREAM
 XCRC filename;start;end
 XMD5 filename;start;end
 TVFS
 CLNT client_type
 LANG EN;FR;JA;DE;IT;SV;ES;RU;ZH-TW;ZH-CN
 AUTH SSL
 AUTH TLS
 PROT
 PBSZ
 SSCN
 UTF8
 EPRT
 EPSV
211 END
OPTS UTF8 ON
500 Send 'CLNT client_type' before enabling UTF8.
.
.
.

Change History (4)

comment:1 follow-up: Changed on Aug 28, 2011 at 1:16:29 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to thirdparty
  • Status changed from new to closed
  • Summary changed from Cyberduck cannot enable UTF8 for RaidenFTPd to Failure enabling UTF8 for RaidenFTPd

Please report to the developers of the server software.

comment:2 in reply to: ↑ 1 Changed on Aug 31, 2011 at 3:38:56 PM by Yoshitaka Konishi

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

Replying to dkocher:

Please report to the developers of the server software.

I reported on this problem to the developers of the RaidenFTPD, and received the answer.
This restriction is a specification to avoid a IE6 problem.
Please refer to the paragraph of OPTS UTF8 in following URL.
http://www.raidenftpd.com/kb/kb000000027.html

RaidenFTPD can open the option to disable this specification.
However, the server keeps having the IE6 problem in this solution.
Could you correspond to this specification on the client side if possible?

comment:3 Changed on Aug 31, 2011 at 4:00:22 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

CLNT is something not specified in any RFC and should not be required. Their interoperability fix for IE6 should not break clients that adhere to the standard.

comment:4 Changed on Sep 2, 2011 at 11:37:16 AM by Yoshitaka Konishi

Thank you for the answer. I understood your policy.
After all, I solved this problem by setting the fake CLNT command to the server side logon script.

Note: See TracTickets for help on using tickets.
swiss made software